> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger an event for a user

> This endpoint runs a workflow that uses a **Custom Event**. Note that this endpoint cannot be used to invoke a workflow that has a Custom Webhook Trigger.

If you have defined a custom JSON body for the Custom Event, it should be passed into the `data` body parameter.



## OpenAPI

````yaml post /run/event
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /run/event:
    post:
      summary: Trigger an event for a user
      description: >-
        This endpoint runs a workflow that uses a **Custom Event**. Note that
        this endpoint cannot be used to invoke a workflow that has a Custom
        Webhook Trigger.


        If you have defined a custom JSON body for the Custom Event, it should
        be passed into the `data` body parameter.
      operationId: run-event
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - event
                - userId
                - data
              properties:
                event:
                  type: string
                  description: The name of the custom event to run.
                userId:
                  type: string
                  description: The user Id the workflow belongs to
                data:
                  type: object
                  description: >-
                    The key-value pairs you want to send as defined in the
                    custom event. This data will be used in expressions during
                    the workflow execution.
                  additionalProperties:
                    type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: Event successfully triggered
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Event successfully triggered
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````